unit Unit1;

interface

uses
  WinTypes, WinProcs, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Buttons, DirLabel;

type
  TForm1 = class(TForm)
    Edit2: TEdit;
    ButUp: TButton;
    ButDown: TButton;
    Bevel1: TBevel;
    Label2: TLabel;
    ComboBox1: TComboBox;
    Bevel2: TBevel;
    BitBtn1: TBitBtn;
    Label1: TLabel;
    Label3: TLabel;
    Bevel3: TBevel;
    Bevel4: TBevel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    DirLabel1: TDirLabel;
    procedure FormCreate(Sender: TObject);
    procedure ButDownClick(Sender: TObject);
    procedure ButUpClick(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure ApplyOnDirLabel;
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  Label2.Caption := ComboBox1.text;
  DirLabel1.DirName := ComboBox1.text;
end;

procedure TForm1.ButDownClick(Sender: TObject);
var
  Width: Integer;
begin
  Width := StrToInt(Edit2.text);
  Width := Width - 10;
  if Width < 60 then
    Width := 60;
  Edit2.text := IntToStr(Width);
  ApplyOnDirLabel;
end;

procedure TForm1.ButUpClick(Sender: TObject);
var
  Width: Integer;
begin
  Width := StrToInt(Edit2.text);
  Width := Width + 10;
  if Width > 400 then
    Width := 400;
  Edit2.text := IntToStr(Width);
  ApplyOnDirLabel;
end;

procedure TForm1.ApplyOnDirLabel;
begin
  DirLabel1.width := StrToInt(Edit2.text);
  DirLabel1.DirName := ComboBox1.text;
  Label2.Caption := ComboBox1.text;
  Bevel1.width := StrToInt(Edit2.text);
end;

procedure TForm1.ComboBox1Change(Sender: TObject);
begin
  Label2.Caption := ComboBox1.text;
  ApplyOnDirLabel;
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
  close;
end;

end.
