unit UnitMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, CoolCtrls, ExtCtrls, ComCtrls;

type
  TForm1 = class(TCoolForm)
    CoolListBox1: TCoolListBox;
    CoolListBox3: TCoolListBox;
    CoolComboBox1: TCoolComboBox;
    CoolComboBox2: TCoolComboBox;
    Image1: TImage;
    ImageList1: TImageList;
    CoolListBox2: TCoolListBox;
    Panel1: TPanel;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    CheckBox4: TCheckBox;
    procedure FormCreate(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure CheckBox3Click(Sender: TObject);
    procedure CheckBox4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  // Remove this to have round form...
  EllipseOffset := 50;
  
  CoolComboBox1.ItemIndex := 0;
  CoolComboBox2.ItemIndex := 0;
end;

procedure TForm1.FormActivate(Sender: TObject);
begin
  Wallpaper.Assign(Image1.Picture.Bitmap);
  Options := [ocPaintWallpaper, ocTileWallpaper, ocDragUsingClientArea, ocNoFormCaption];
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  if CheckBox1.Checked then
    Options := Options + [ocNoFormCaption]
  else
    Options := Options - [ocNoFormCaption]
end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
  if CheckBox2.Checked then
    Options := Options + [ocDragUsingClientArea]
  else
    Options := Options - [ocDragUsingClientArea]
end;

procedure TForm1.CheckBox3Click(Sender: TObject);
begin
  if CheckBox3.Checked then
    Options := Options + [ocPaintWallpaper, ocTileWallpaper]
  else
    Options := Options - [ocPaintWallpaper, ocTileWallpaper];
end;

procedure TForm1.CheckBox4Click(Sender: TObject);
begin
  if CheckBox4.Checked then
    Options := Options + [ocRoundedForm]
  else
    Options := Options - [ocRoundedForm];
end;

end.
