unit UAdrEdit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ComCtrls, StdCtrls, Mask, DB, DBCtrls;

type
  TAdrEditFrm = class(TForm)
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    TabSheet3: TTabSheet;
    Button1: TButton;
    Button2: TButton;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    DBEdit1: TDBEdit;
    Label2: TLabel;
    DBEdit2: TDBEdit;
    Label3: TLabel;
    DBEdit3: TDBEdit;
    Label4: TLabel;
    DBComboBox1: TDBComboBox;
    Label5: TLabel;
    DBEdit4: TDBEdit;
    Label6: TLabel;
    DBMemo1: TDBMemo;
    Label7: TLabel;
    DBMemo2: TDBMemo;
    Label8: TLabel;
    DBEdit5: TDBEdit;
    Label9: TLabel;
    DBEdit6: TDBEdit;
    Label10: TLabel;
    DBEdit7: TDBEdit;
    Label11: TLabel;
    DBEdit8: TDBEdit;
    Label12: TLabel;
    DBEdit9: TDBEdit;
    Label13: TLabel;
    DBEdit10: TDBEdit;
    Label14: TLabel;
    DBEdit11: TDBEdit;
    Label15: TLabel;
    DBEdit12: TDBEdit;
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
    procedure FormShow(Sender: TObject);
    procedure DBEdit1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AdrEditFrm: TAdrEditFrm;

implementation

uses UMain;

{$R *.DFM}

procedure TAdrEditFrm.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
  if MainFrm.Persons.State in dsEditModes then
  begin
    if ModalResult = mrOK then
      MainFrm.Persons.Post
    else
      MainFrm.Persons.Cancel;
  end;   
end;

procedure TAdrEditFrm.FormShow(Sender: TObject);
begin
  PageControl1.ActivePage := TabSheet1;
  DBEdit1.SetFocus;
end;

procedure TAdrEditFrm.DBEdit1Change(Sender: TObject);
begin
  if MainFrm.Persons.State in dsEditModes then
  begin
    MainFrm.PersonsNAME.Value := DBEdit1.Text + ' ' + DBEdit2.Text;
    if DBEdit2.Text <> '' then MainFrm.PersonsNAME.Value := MainFrm.PersonsNAME.Value + ' ';
    MainFrm.PersonsNAME.Value := MainFrm.PersonsNAME.Value +  DBEdit3.Text;
    DBComboBox1.Items.Clear;
    DBComboBox1.Items.Add(MainFrm.PersonsNAME.Value);
  end;  
end;

end.
