unit UMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DAODatabase, Db, DAODataset, DAOQuery, ExtCtrls, Grids, DBGrids, StdCtrls,
  DBCtrls, DAOTable;

type
  TMainFrm = class(TForm)
    DAODatabase1: TDAODatabase;
    DAOQuery1: TDAOQuery;
    DAOQuery1COUNTER: TIntegerField;
    DAOQuery1LONG: TIntegerField;
    DAOQuery1BYTE: TSmallintField;
    DAOQuery1SINGLE: TFloatField;
    DAOQuery1DOUBLE: TFloatField;
    DAOQuery1DATETIME: TDateTimeField;
    DAOQuery1CURRENCY: TCurrencyField;
    DAOQuery1MEMO: TMemoField;
    DAOQuery1BOOLEAN: TBooleanField;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    Panel1: TPanel;
    Label1: TLabel;
    DBMemo1: TDBMemo;
    Button1: TButton;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainFrm: TMainFrm;

implementation

{$R *.DFM}

procedure TMainFrm.FormCreate(Sender: TObject);
begin
  DAODatabase1.Close;
  DAODatabase1.DatabaseName := ExtractFilePath(Application.ExeName)+'FieldTypes.mdb';
  DAODatabase1.Open;
  DAOQuery1.Open;
end;

procedure TMainFrm.Button1Click(Sender: TObject);
begin
  DAOQuery1.Post;
end;

end.
